/*
 * TrkRigVsGPMomHistoAction.cpp
 *
 *  Created on: 24/jun/2010
 *      Author: S. Ricciarini
 */

#include "TrkRigVsGPMomHistoAction.h"

TrkRigVsGPMomHistoAction::TrkRigVsGPMomHistoAction(const char *actionName, TString outFileBase,
    TString mode, bool outRoot, bool outText, TString title) :
Histo2DAction<Int_t> (actionName, title, outFileBase, mode, outRoot, outText){
}

void TrkRigVsGPMomHistoAction::OnGood(PamLevel2 *event) {

  Fill(event->GetGPamela()->P0, 1./event->GetTrack(0)->GetTrkTrack()->GetDeflection());
}
